<html>
<head>
<script language="javascript">
var depto= new Array();
var tmp = new Array(300);
var municipio = new Array();
<?php
 include("../fnc.php");
 $q=mysql_query("select * from departamentos order by departamento");
 echo mysql_error();
 while($idepto=mysql_fetch_array($q)){
  echo "depto[{$idepto[id]}]='".$idepto[departamento]."'\n";
 }

 $qm=mysql_query("select * from municipios order by departamento, municipio");
 $n=0;
 while($imun=mysql_fetch_array($qm)){
  echo "municipio[$n]='".$imun[departamento]."|".$imun[municipio]."|".$imun[id]."'\n";
  $n++;
 }
?>

function llenard(){
var cont = 0;
 document.form1.departamentos.options[cont] = new Option ("Seleccione un departamento...","SV");
 cont++;
 for(i=1;i<depto.length;i++){
  document.form1.departamentos.options[cont] = new Option(depto[i],i);
  if(cont == 9){
    document.form1.departamentos.options[9].selected;
  }
  cont++;
 }
}


function llenarm(){
 for(i=document.form1.municipios.length; i>-1; i--){
   document.form1.municipios.options[i]=null;
 }

 var mDepto=document.form1.departamentos.value;
 cont=0;
 for(i=0;i<municipio.length;i++){
   var tmp = municipio[i].split("|");
   if(tmp[0]==mDepto){
    document.form1.municipios.options[cont] = new Option (tmp[1], tmp[2]);
    cont++;
   }
 }
}
</script>
</head>
<body onload="llenard();">
<form name="form1" action="test.php">
<select name="departamentos" onchange="llenarm();">
</select>
<select name="municipios">
</select>
<input type="submit">

<?
if($departamentos && $municipios){
  echo "Departamento: $departamentos Municipio: $municipios";
}
?>
</form>
</body>
</html>